C3DLinearTransform::iterator_impl Class Reference

`#include <mia/3d/linear_transform.hh>`

Inheritance diagram for C3DLinearTransform::iterator_impl:
[legend]
Collaboration diagram for C3DLinearTransform::iterator_impl:
[legend]

## Friends

class | C3DLinearTransform

## Additional Inherited Members

Public Member Functions inherited from C3DTransformation::iterator_impl
const C3DBounds & | get_pos () const
const C3DBounds & | get_size () const
const C3DFVector & | get_value () const
void | increment ()
| move to next position
| iterator_impl ()
| iterator_impl (const C3DBounds &pos, const C3DBounds &begin, const C3DBounds &end, const C3DBounds &size)
| iterator_impl (const C3DBounds &pos, const C3DBounds &size)
bool | operator== (const iterator_impl &other) const

## Detailed Description

Definition at line 63 of file linear_transform.hh.

## Friends And Related Symbol Documentation

## C3DLinearTransform

friend class C3DLinearTransform

friend

Definition at line 65 of file linear_transform.hh.

References C3DLinearTransform::begin(), C3DLinearTransform, and C3DLinearTransform::end().

Referenced by C3DLinearTransform.

The documentation for this class was generated from the following file:

- linear_transform.hh